/*
 * This library is part of Geranium -
 * an open source UI library for GWT.
 *
 * Copyright (c) Alkacon Software GmbH (http://www.alkacon.com)-
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software, please see the
 * company website: http://www.alkacon.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.alkacon.geranium.client.ui.css;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.ImageResource.ImageOptions;
import com.google.gwt.resources.client.ImageResource.RepeatStyle;

/**
 * Resource bundle to access background image resources.<p>
 */
public interface I_BackgroundImageBundle extends ClientBundle {

    /** The bundle instance. */
    I_BackgroundImageBundle INSTANCE = GWT.create(I_BackgroundImageBundle.class);

    /**
     * Access method.<p>
     * 
     * @return the image resource
     */
    @Source("images/backgrounds/dialogBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource dialogBackground();

    /**
     * Access method.<p>
     * 
     * @return the image resource
     */
    @Source("images/backgrounds/dialogBackgroundShadow.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource dialogBackgroundShadow();

    /**
     * Access method.<p>
     * 
     * @return the image resource
     */
    @Source("images/backgrounds/invalidStateBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Horizontal)
    ImageResource invalidStateBackground();

    /**
     * Access method.<p>
     * 
     * @return the image resource
     */
    @Source("images/backgrounds/sitemapBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource sitemapBackground();

    /**
     * Access method.<p>
     * 
     * @return the image resource
     */
    @Source("images/backgrounds/softBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Horizontal)
    ImageResource softBackground();

    /**
     * Access method.<p>
     * 
     * @return the image resource
     */
    @Source("images/backgrounds/stateBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Horizontal)
    ImageResource stateBackground();
}
