/*
 * This library is part of Geranium -
 * an open source UI library for GWT.
 *
 * Copyright (c) Alkacon Software GmbH (http://www.alkacon.com)-
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software, please see the
 * company website: http://www.alkacon.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.alkacon.geranium.client.ui.css;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;

/**
 * Image bundle for big icons.
 */
public interface I_BigIconBundle extends ClientBundle {

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/addBigIconActive.png")
    ImageResource addBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/addBigIconDeactivated.png")
    ImageResource addBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/backBigIconDeactivated.png")
    ImageResource backBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/backBigIconDeactivated.png")
    ImageResource backBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/brokenLinkBigIcon.png")
    ImageResource brokenLinkBigIcon();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/checkmark.png")
    ImageResource checkmark();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/clipboardBigIconActive.png")
    ImageResource clipboardBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/clipboardBigIconDeactivated.png")
    ImageResource clipboardBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/editBigIconActive.png")
    ImageResource editBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/editBigIconDeactivated.png")
    ImageResource editBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/gotoBigIconDeactivated.png")
    ImageResource gotoBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/gotoPageBigIconActive.png")
    ImageResource gotoPageBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */

    @Source("images/icons/big/gotoParentBigIconActive.png")
    ImageResource gotoParentBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */

    @Source("images/icons/big/gotoParentBigIconDeactivated.png")
    ImageResource gotoParentBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */

    @Source("images/icons/big/gotoSubSitemapBigIconActive.png")
    ImageResource gotoSubSitemapBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/menuBigIconActive.png")
    ImageResource menuBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/menuBigIconDeactivated.png")
    ImageResource menuBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/moveBigIconActive.png")
    ImageResource moveBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/moveBigIconDeactivated.png")
    ImageResource moveBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/propertyBigIconActive.png")
    ImageResource propertyBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/propertyBigIconDeactivated.png")
    ImageResource propertyBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/publishBigIconActive.png")
    ImageResource publishBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/publishBigIconDeactivated.png")
    ImageResource publishBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/removeBigIconActive.png")
    ImageResource removeBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/removeBigIconDeactivated.png")
    ImageResource removeBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/resetBigIconActive.png")
    ImageResource resetBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/resetBigIconDeactivated.png")
    ImageResource resetBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/saveBigIconActive.png")
    ImageResource saveBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/saveBigIconDeactivated.png")
    ImageResource saveBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/searchBigIconActive.png")
    ImageResource searchBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/searchBigIconDeactivated.png")
    ImageResource searchBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/selectionBigIconActive.png")
    ImageResource selectionBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/selectionBigIconDeactivated.png")
    ImageResource selectionBigIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/showSmallElementsBigIconActive.png")
    ImageResource showSmallElementsIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/showSmallElementsBigIconDeactivated.png")
    ImageResource showSmallElementsIconDeactivated();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/sitemapBigIconActive.png")
    ImageResource sitemapBigIconActive();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/sitemapBigIconDeactivated.png")
    ImageResource sitemapBigIconDeactivated();

    /** 
     * Access method.<p>
     * 
     * @return an image resource
     */
    @Source("images/icons/big/stateExportBigIcon.png")
    ImageResource stateExportBigIcon();

    /** 
     * Access method.<p>
     * 
     * @return an image resource
     */
    @Source("images/icons/big/stateHiddenBigIcon.png")
    ImageResource stateHiddenBigIcon();

    /** 
     * Access method.<p>
     * 
     * @return an image resource
     */
    @Source("images/icons/big/stateNormalBigIcon.png")
    ImageResource stateNormalBigIcon();

    /** 
     * Access method.<p>
     * 
     * @return an image resource
     */
    @Source("images/icons/big/stateRedirectBigIcon.png")
    ImageResource stateRedirectBigIcon();

    /** 
     * Access method.<p>
     * 
     * @return an image resource
     */
    @Source("images/icons/big/stateSecureBigIcon.png")
    ImageResource stateSecureBigIcon();

    /** 
     * Access method.<p>
     * @return an image resource
     */
    @Source("images/icons/big/undoBigIconActive.png")
    ImageResource undoBigIconActive();

    /** 
    * Access method.<p>
    * @return an image resource
    */
    @Source("images/icons/big/undoBigIconDeactivated.png")
    ImageResource undoBigIconDeactivated();

}