/*
 * This library is part of Geranium -
 * an open source UI library for GWT.
 *
 * Copyright (c) Alkacon Software GmbH (http://www.alkacon.com)-
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software, please see the
 * company website: http://www.alkacon.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.alkacon.geranium.client.ui.css;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.CssResource;

/**
 * Resource bundle to access CSS constants.
 */
public interface I_ConstantsBundle extends ClientBundle {

    /** Constants CSS. */
    public interface I_ConstantsCss extends CssResource {

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorDialog();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorDialogBorder();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorDisabled();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorEmptyContainer();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorHighlight();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorInfo();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorInputError();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorListItem();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorMenu();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorOverlay();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorPopupShadow();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorSitemap();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorSitemapHighlight();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorSoft();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorStateActive();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorStateChanged();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorStateDisabled();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorStateHover();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorStateNew();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorStateStandard();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String backgroundColorStateSubSitemap();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String borderColor();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String borderColorDialog();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String borderColorHighlight();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String borderColorListItem();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String borderColorTopDialog();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String borderRadius();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String borderRadiusButton();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String boxShadowColorIE();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String boxShadowColorOther();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String dateboxAnotherMonthBg();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String dateboxDayFontSize();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String dateboxHoveredDayBg();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String dateboxSelectedDayBg();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String dateboxTodayColor();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String dateboxWeekendBg();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String defaultSpace();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String fontFamily();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String fontSize();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String fontSizeBig();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String fontSizeSmall();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String lineHeight();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String lineHeightBig();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String lineHeightSmall();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationErrorBg();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationErrorBorder();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationErrorColor();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationNormalBg();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationNormalBorder();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationNormalColor();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationWarningBg();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationWarningBorder();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String notificationWarningColor();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColor();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColorCaption();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColorChanged();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColorDarkButton();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColorDisabled();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColorDisabledButton();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColorImportant();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColorLightButton();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String textColorNew();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        String toolbarWidth();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        int zIndexDND();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        int zIndexGroupContainer();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        int zIndexHighlighting();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        int zIndexInline();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        int zIndexMenu();

        /** 
         * Access method.<p>
         * 
         * @return the CSS constant value
         */
        int zIndexPopup();
    }

    /** The bundle instance. */
    I_ConstantsBundle INSTANCE = GWT.create(I_ConstantsBundle.class);

    /**
     * Access method.<p>
     * 
     * @return the constants CSS
     */
    @Source("constants.css")
    I_ConstantsCss css();
}
