/*
 * This library is part of Geranium -
 * an open source UI library for GWT.
 *
 * Copyright (c) Alkacon Software GmbH (http://www.alkacon.com)-
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software, please see the
 * company website: http://www.alkacon.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.alkacon.geranium.client.ui.css;

import com.google.gwt.resources.client.CssResource;

/**
 * Css resource.<p>
 */
public interface I_InputCss extends CssResource {

    /** 
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String alignBottom();

    /** Access method.<p>
     * 
     * @return the CSS class name
     */
    String changed();

    /** 
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String checkBox();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String checkBoxImage();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String checkBoxImageChecked();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String checkBoxImageUnchecked();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String error();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String formDescriptionLabel();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String formInfo();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String formLabel();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String formOpener();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String formRow();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String formRowOpenerClosed();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String formRowOpenerOpen();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String formWidgetContainer();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String highTextBoxes();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String inherited();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String inlineBlock();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String label();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String labelInput();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String labelTruncated();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String linkEdit();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String multiCheckBox();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String openerHover();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String openerNoHover();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */

    String radioButton();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String radioButtonGroup();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    // String textAreaWidget();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */

    String radioButtonImage();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectBoxCell();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectBoxDisabled();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectBoxOpener();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectBoxRoot();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectBoxSelected();

    /** 
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectBoxSelector();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectHover();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectIcon();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String selectorPopup();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String separator();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String subtitleSuffix();

    /** 
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String textArea();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String textAreaContainer();

    /**
     * Css class reader. <p>
     * 
     * @return the css class
     */
    String textBox();

    /**
     * Css class reader. <p>
     * 
     * @return the css class
     */
    String textboxGhostMode();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String textBoxPanel();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String textBoxPanelDisabled();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String textBoxPanelError();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String textBoxReadOnly();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String textBoxWidget();

    /**
     * Css class reader.<p>
     * 
     * @return the css class
     */
    String weakText();
}
