/*
 * This library is part of Geranium -
 * an open source UI library for GWT.
 *
 * Copyright (c) Alkacon Software GmbH (http://www.alkacon.com)-
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software, please see the
 * company website: http://www.alkacon.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.alkacon.geranium.client.ui.css;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.ImageResource.ImageOptions;
import com.google.gwt.resources.client.ImageResource.RepeatStyle;

/**
 * Image bundle for this package.<p>
 */
public interface I_InputImageBundle extends ClientBundle {

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonBlackDownBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonBlackDownBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonBlackHoverBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonBlackHoverBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonBlackUpBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonBlackUpBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonBlueDownBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonBlueDownBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonBlueHoverBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonBlueHoverBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonBlueUpBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonBlueUpBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonDisabledBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonDisabledBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonGrayDownBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonGrayDownBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonGrayHoverBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonGrayHoverBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonGrayUpBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonGrayUpBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonGreenDownBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonGreenDownBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonGreenHoverBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonGreenHoverBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonGreenUpBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonGreenUpBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonRedDownBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonRedDownBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonRedHoverBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonRedHoverBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonRedUpBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonRedUpBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonYellowDownBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonYellowDownBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonYellowHoverBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonYellowHoverBackground();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/buttonYellowUpBackground.png")
    @ImageOptions(repeatStyle = RepeatStyle.Both)
    ImageResource buttonYellowUpBackground();

    /**
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/checkboxChecked.png")
    ImageResource checkboxChecked();

    /**
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/checkboxCheckedDisabled.png")
    ImageResource checkboxCheckedDisabled();

    /**
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/checkboxCheckedHover.png")
    ImageResource checkboxCheckedHover();

    /**
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/checkboxUnchecked.png")
    ImageResource checkboxUnchecked();

    /**
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/checkboxUncheckedDisabled.png")
    ImageResource checkboxUncheckedDisabled();

    /**
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/checkboxUncheckedHover.png")
    ImageResource checkboxUncheckedHover();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/radioChecked.png")
    ImageResource radioChecked();

    /**
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/radioCheckedDisabled.png")
    ImageResource radioCheckedDisabled();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/radioCheckedHover.png")
    ImageResource radioCheckedHover();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/radioUnchecked.png")
    ImageResource radioUnchecked();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/radioUncheckedDisabled.png")
    ImageResource radioUncheckedDisabled();

    /** 
     * Image resource accessor.<p>
     * 
     * @return an image resource
     */
    @Source("images/input/radioUncheckedHover.png")
    ImageResource radioUncheckedHover();

}
